# Grant object record access

Accepts a request to grant record-level scopes on the object to selected users, teams, and installed apps. Validation runs synchronously; grants are applied asynchronously. Returns 202 Accepted on success.

Endpoint: POST /api/v2/objects/{objectUuid}/access-grant
Version: 2.0
Security: Bearer Authentication

## Path parameters:

  - `objectUuid` (string, required)

## Request fields (application/json):

  - `users` (object)
    User grants

  - `users.uuids` (array)
    UUIDs to grant access to

  - `users.globalScopes` (array)
    Record scopes applied to every selected UUID

  - `users.overrides` (object)
    Per-UUID scope overrides merged with globalScopes

  - `teams` (object)
    Team grants

  - `teams.uuids` (array)
    UUIDs to grant access to

  - `teams.globalScopes` (array)
    Record scopes applied to every selected UUID

  - `teams.overrides` (object)
    Per-UUID scope overrides merged with globalScopes

  - `apps` (object)
    Installed app grants

  - `apps.uuids` (array)
    UUIDs to grant access to

  - `apps.globalScopes` (array)
    Record scopes applied to every selected UUID

  - `apps.overrides` (object)
    Per-UUID scope overrides merged with globalScopes

## Response 202 fields (application/json):

  - `message` (string)
    A message detailing the result of the operation.
    Example: "Success"

  - `data` (any)
    The data payload of the response, if any.

## Response 400 fields (application/json):

  - `message` (string)
    The error message providing details about the failure.
    Example: "Resource not found."

  - `errors` (object)
    A list of error types providing further details about the error.
    Example: [{"field":"name","message":"Name is required.","correctionSuggestion":"Please provide a name."}]

  - `errors.message` (string, required)
    The error message providing details about the failure.
    Example: "Invalid file type."

  - `errors.type` (string, required)
    The type of error.
    Enum: "VALIDATION", "NOT_FOUND", "TEST", "RELATION_NOT_ALLOWED", "INVALID_VALUE", "GENERAL", "INVALID_FILE_TYPE", "INTERNAL_SERVER_ERROR", "CARAER_ERROR", "INVALID_EMAIL", "INVALID_DATE"

  - `errors.correctionSuggestion` (string, required)
    A suggestion on how to correct the error.
    Example: "Try uploading a different file type."

  - `status` (integer)
    The HTTP status code associated with the error.
    Example: 400

  - `stackTrace` (string)

  - `roles` (array)
    Enum: "USER", "ADMIN", "RESELLER", "DEVELOPER", "SUPER_ADMIN"

  - `scopes` (array)

## Response 404 fields (application/json):

  - `message` (string)
    The error message providing details about the failure.
    Example: "Resource not found."

  - `errors` (object)
    A list of error types providing further details about the error.
    Example: [{"field":"name","message":"Name is required.","correctionSuggestion":"Please provide a name."}]

  - `errors.message` (string, required)
    The error message providing details about the failure.
    Example: "Invalid file type."

  - `errors.type` (string, required)
    The type of error.
    Enum: "VALIDATION", "NOT_FOUND", "TEST", "RELATION_NOT_ALLOWED", "INVALID_VALUE", "GENERAL", "INVALID_FILE_TYPE", "INTERNAL_SERVER_ERROR", "CARAER_ERROR", "INVALID_EMAIL", "INVALID_DATE"

  - `errors.correctionSuggestion` (string, required)
    A suggestion on how to correct the error.
    Example: "Try uploading a different file type."

  - `status` (integer)
    The HTTP status code associated with the error.
    Example: 400

  - `stackTrace` (string)

  - `roles` (array)
    Enum: "USER", "ADMIN", "RESELLER", "DEVELOPER", "SUPER_ADMIN"

  - `scopes` (array)


